## heartbeat 3.0.5

=== debian/changelog ===
heartbeat (1:3.0.5-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ucast.c:468:6: error: conflicting types for 'i'":
    add patch fix-ftbfs-lp1188428.patch from Ubuntu / Andres Rodriguez:
    - Fix FTBFS by renaming a duplicated var name 'i' (struct and int), for
      the struct.
    (Closes: #713662, LP: #1188428)

 -- gregor herrmann <gregoa@debian.org>  Wed, 13 Nov 2013 21:28:58 +0100

heartbeat (1:3.0.5-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Complete transition to dh_python2 (Closes: #616841).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 30 May 2013 20:19:40 +0200

heartbeat (1:3.0.5-3) unstable; urgency=low

  * Adopted numerous changes from the Ubuntu packages, implemented by Andres
    Rodriguez to make co-maintaining these packages in Ubuntu and Debian a
    bit easier.
  * Updated the Standards-Version to 3.9.2, no changes necessary.

 -- Martin Loschwitz <madkiss@debian.org>  Thu, 20 Oct 2011 13:22:59 +0000

heartbeat (1:3.0.5-2) unstable; urgency=low

  * Fix the dh_python2 call in debian/rules to avoid python madness 

 -- Martin Loschwitz <madkiss@debian.org>  Thu, 25 Aug 2011 07:24:12 +0000

heartbeat (1:3.0.5-1) unstable; urgency=low

  * New upstream version (3.0.5) 
  * Change dependency from cluster-agents to resource-agents
  * Build-Depend on resource-agents-dev

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 24 Aug 2011 11:09:08 +0000

heartbeat (1:3.0.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove references to other libraries from dependency_libs field
    Closes: #619553

 -- Luk Claes <luk@debian.org>  Mon, 30 May 2011 08:01:35 +0200
