## heartbeat 3.0.5+hg12629

=== debian/changelog ===
heartbeat (1:3.0.5+hg12629-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Check for libtoolize rather than libtool. Closes: #761759

 -- Johannes Schauer <j.schauer@email.de>  Tue, 07 Oct 2014 22:26:43 +0200

heartbeat (1:3.0.5+hg12629-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against GnuTLS v3. Closes: #753096

 -- Andreas Metzler <ametzler@debian.org>  Sat, 23 Aug 2014 19:21:44 +0200

heartbeat (1:3.0.5+hg12629-1) unstable; urgency=medium

  * New upstream checkout
  * debian/patches/fix-shlibdeps.patch: Drop, as this is fixed in the
    original upstream code now
  * debian/patches/heartbeat-init-script.patch: Make the heartbeat init
    script standard compliant
  * debian/control: Bump Standards-Version to 3.9.5

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 21 Feb 2014 13:32:22 +0000
