## heartbeat 3.0.6

=== debian/changelog ===
heartbeat (1:3.0.6-9) unstable; urgency=medium

  * Fix FTBR on merged-usr vs non-merged systems (Closes: #915312)
  * Update my email in Uploaders
  * Update Standards-Version to 4.2.1
  * Add Build-Depends-Package to libheartbeat2.symbols
  * Use /run instead of /var/run

 -- Valentin Vidic <vvidic@debian.org>  Sun, 09 Dec 2018 14:59:17 +0100

heartbeat (1:3.0.6-8) unstable; urgency=medium

  * Drop unused patch fix-ftbfs-lp1188428.patch
  * Update Vcs URLs to use salsa
  * Update Standards-Version to 4.1.4
  * Remove unused variables from debian/rules
  * Enable hardening for binaries
  * Strip static libraries
  * Replace Conflicts with Breaks
  * Fix spelling errors reported by lintian
  * Add symbols file for libheartbeat2
  * Add missing patch descriptions
  * Convert debian/copyright to DEP-3 format
  * Add Documentation to systemd service
  * Include logcheck ignore file (Closes: #564063)

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Tue, 01 May 2018 20:00:13 +0200

heartbeat (1:3.0.6-7) unstable; urgency=medium

  [ Christoph Berg ]
  * Remove myself from Uploaders

  [ Valentin Vidic ]
  * d/t/heartbeat: pick only one test device (Closes: #883061)
  * Create /var/run/resource-agents in postinst (Closes: #883527)
  * Update Standards-Version to 4.1.3
  * Skip installing drbd files on kfreebsd
  * Cleanup trailing spaces in debian/changelog
  * Cleanup trailing spaces in debian/rules
  * Switch to debhelper v11

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Fri, 05 Jan 2018 10:41:11 +0100

heartbeat (1:3.0.6-6) unstable; urgency=medium

  * Replace Depends on iproute with iproute2 (Closes: #862850)
  * Drop Depends on libcurl4-openssl-dev (Closes: #810977)
  * Prefer gawk instead of mawk (Closes: #647174)
  * Update debhelper version to 10
  * Ignore missing manpage for cl_respawn
  * Update Standards-Version to 4.0.0
  * Clean autogenerated files
  * Add patch for portblock resource agent (Closes: #538987)
  * Make iproute2 a linux-any dependency
  * Start heartbeat after drbd (Closes: #537982)
  * Add package test using IPaddr2

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Sat, 26 Aug 2017 17:02:04 +0200

heartbeat (1:3.0.6-5) unstable; urgency=medium

  * Compile python modules in postinst
  * Add Valentin Vidic to Uploaders.

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Mon, 23 Jan 2017 11:24:30 +0100

heartbeat (1:3.0.6-4) unstable; urgency=medium

  * Team upload.
  * Add iputils-ping and ping to (Build-)Depends.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 11 Jan 2017 11:50:39 +0100

heartbeat (1:3.0.6-3) unstable; urgency=medium

  * Remove B-D on transitional libcluster-glue-dev package.
  * Install heartbeat.service instead of trying heartneat.service.
  * Update Uploaders list.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 07 Apr 2016 13:09:28 +0200

heartbeat (1:3.0.6-2) unstable; urgency=medium

  * Build-Depends: resource-agents instead of -dev.
  * Update Vcs URLs.

 -- Christoph Berg <myon@debian.org>  Fri, 05 Feb 2016 23:22:37 +0100

heartbeat (1:3.0.6-1) unstable; urgency=medium

  * New upstream release
  * improved interoperability with pacemaker (>= 1.1.12)
  * we are now systemd aware

 -- Lars Ellenberg <lars.ellenberg@linbit.com>  Mon, 09 Feb 2015 17:01:31 +0100
