=== debian/control ===
Source: heartbeat
Section: admin
Priority: optional
Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Valentin Vidic <vvidic@debian.org>
Build-Depends:
 autoconf,
 automake,
 bison,
 cluster-glue-dev,
 debhelper (>= 11),
 dh-python,
 docbook-xml,
 docbook-xsl,
 flex,
 gawk,
 iproute2 [linux-any],
 inetutils-ping | iputils-ping | ping,
 libbz2-dev,
 libglib2.0-dev,
 libgnutls28-dev,
 libltdl3-dev,
 libncurses5-dev,
 libopenhpi-dev,
 libopenipmi-dev,
 libpam0g-dev,
 libpils2-dev,
 libplumb2-dev,
 libplumbgpl2-dev,
 libsensors4-dev | libsensors-dev,
 libstonith1-dev,
 libtool,
 libxml2-dev,
 lynx,
 net-tools,
 openssh-client,
 perl,
 psmisc,
 python-dev (>= 2.6.6-3~),
 resource-agents,
 systemd [linux-any],
 swig,
 uuid-dev,
 xsltproc,
 zlib1g-dev,
Standards-Version: 4.2.1
Homepage: http://www.linux-ha.org/
Vcs-Browser: https://salsa.debian.org/ha-team/heartbeat
Vcs-Git: https://salsa.debian.org/ha-team/heartbeat.git

Package: heartbeat
Architecture: any
Depends:
 adduser,
 cluster-glue,
 gawk,
 iproute2 [linux-any],
 inetutils-ping | iputils-ping | ping,
 libpam-runtime (>= 0.76-14),
 libxml2-utils,
 psmisc,
 resource-agents,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Recommends:
 iptables,
 logrotate,
 pacemaker (>= 1.0.6),
 rsyslog | system-log-daemon,
Provides:
 cluster-messaging-framework,
Description: Subsystem for High-Availability Linux
 heartbeat is a messaging subsystem for high availability which implements
 serial, UDP, and PPP/UDP heartbeats.
 .
 It is one of the messaging layers supported by the Pacemaker
 cluster resource manager.

Package: heartbeat-dev
Section: devel
Architecture: any
Depends:
 heartbeat (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 libpils-dev (<< 2.0.8-3),
 libstonith-dev (<< 2.0.8-3),
 pacemaker-dev (<< 1.0.1-1),
Description: Subsystem for High-Availability Linux - development files
 heartbeat is a messaging subsystem for high availability which implements
 serial, UDP, and PPP/UDP heartbeats.
 .
 It is one of the messaging layers supported by the Pacemaker
 cluster resource manager.
 .
 This package contains Heartbeat-specific development files.

Package: libheartbeat2
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 heartbeat (<= 2.99.2+sles11r7-0+1),
Breaks:
 heartbeat (<= 2.99.2+sles11r7-0+1),
Description: Subsystem for High-Availability Linux (libraries)
 heartbeat is a messaging subsystem for high availability which implements
 serial, UDP, and PPP/UDP heartbeats.
 .
 It is one of the messaging layers supported by the Pacemaker
 cluster resource manager.
 .
 This package contains the Heartbeat libraries to make them available
 to other programs like Pacemaker without having to install the whole
 Heartbeat suite.

Package: libheartbeat2-dev
Section: libdevel
Architecture: any
Depends:
 libheartbeat2 (= ${binary:Version}),
 ${misc:Depends},
Replaces:
 heartbeat (<= 2.99.2+sles11r7-0+1),
Breaks:
 heartbeat (<= 2.99.2+sles11r7-0+1),
Description: Subsystem for High-Availability Linux (development files)
 heartbeat is a messaging subsystem for high availability which implements
 serial, UDP, and PPP/UDP heartbeats.
 .
 It is one of the messaging layers supported by the Pacemaker
 cluster resource manager.
 .
 This package contains the Heartbeat library development files to make
 them available to other programs like Pacemaker.
